## pyparted 3.12.0

=== debian/changelog ===
pyparted (3.12.0-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:26 +1100

pyparted (3.12.0-6build2) noble; urgency=high

  * No change rebuild against libparted2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:57 +0100

pyparted (3.12.0-6build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:21:30 +0000

pyparted (3.12.0-6) unstable; urgency=medium

  * QA upload
  * Ignore .egg-info diff (Closes: #1046099)

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 19:42:28 +0200

pyparted (3.12.0-5) unstable; urgency=medium

  * Build with parted 3.6 (Closes: #1038890)

 -- Bastian Germann <bage@debian.org>  Wed, 28 Jun 2023 12:12:20 +0200

pyparted (3.12.0-4) unstable; urgency=high

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: libpython3-all-dev (Closes: #1032318)

 -- Bastian Germann <bage@debian.org>  Fri, 03 Mar 2023 19:58:00 +0100

pyparted (3.12.0-3) unstable; urgency=medium

  * d/watch: Scan GitHub release API

 -- Bastian Germann <bage@debian.org>  Tue, 22 Nov 2022 11:27:53 +0100

pyparted (3.12.0-2) unstable; urgency=medium

  * Add setuptools build dependency

 -- Bastian Germann <bage@debian.org>  Fri, 11 Mar 2022 22:02:15 +0100

pyparted (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * Revert "Add gitlab-ci.yml"
  * Update copyright year
  * Fix missing-build-dependency-for-dh-addon
  * Try to fix cross build

 -- Bastian Germann <bage@debian.org>  Fri, 11 Mar 2022 19:51:30 +0100
