=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

export PYBUILD_NAME=parted

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-parted-dbg/usr/lib/python3*/dist-packages/parted/

override_dh_clean:
	dh_clean
	rm -fr debian/python3-parted-dbg
