=== debian/changelog ===
pyparted (3.13.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:44:59 +0000

pyparted (3.13.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:03:53 +0000

pyparted (3.13.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:56:56 +0100

pyparted (3.13.0-1) unstable; urgency=medium

  * QA upload.
  * remove extraneous dependency on python3-six
  * add Colin Watson's patch as found upsream

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
  * debian/patches/: Refresh patches.
  * debian/patches/remove_feature_values_from_disktypestrcestcase.patch:
    Dropped, merged upstream.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Mar 2024 23:55:47 +0100
