=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --buildsystem pybuild --with python3
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_install:
 	dh_auto_install
