=== debian/tests/control ===
Test-Command: debian/tests/run_py3_test.sh
Depends: @
Restrictions: allow-stderr
